## org.apache.ivy.plugins.conflict
Class FixedConflictManager

    java.lang.Object
      org.apache.ivy.plugins.conflict.AbstractConflictManager
          org.apache.ivy.plugins.conflict.FixedConflictManager

All Implemented Interfaces:
  ConflictManager, IvySettingsAware

    public class FixedConflictManager

extends AbstractConflictManager

Constructor Summary
`FixedConflictManager(java.lang.String[] revs)`

Method Summary
`java.util.Collection` `getRevs()`
`java.util.Collection` `resolveConflicts(IvyNode parent, java.util.Collection conflicts)` Resolves the eventual conflicts found in the given collection of IvyNode.

Methods inherited from class org.apache.ivy.plugins.conflict.AbstractConflictManager
`getName, getSettings, handleAllBlacklistedRevisions, setName, setSettings, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FixedConflictManager

    public FixedConflictManager(java.lang.String[] revs)

Method Detail

### resolveConflicts

    public java.util.Collection resolveConflicts(IvyNode parent,
                                                 java.util.Collection conflicts)

  Description copied from interface: `ConflictManager`
  Resolves the eventual conflicts found in the given collection of IvyNode. This method return a Collection of IvyNode which have not been evicted. The given conflicts Collection contains at least one IvyNode. This method can be called with IvyNodes which are not yet loaded. If this conflict manager is not able to resolve conflicts with the current data found in the IvyNodes and need them to be fully loaded, it will return null to indicate that no conflict resolution has been done.

  Parameters:
    `parent` - the ivy node parent for which the conflict is to be resolved
    `conflicts` - the collection of IvyNode to check for conflicts
  Returns:
    a Collection of IvyNode which have not been evicted, or null if conflict management resolution is not possible yet

### getRevs

    public java.util.Collection getRevs()